#!/bin/sh
#
#Copyright (c) 2008, Novell, Inc.  All rights reserved.
#
#Script to interactively/parametrically add proxy user credentials (fdn/passwd) 
#as lum-casa record into local CASA store and do some support work.

LUM_PROXY_LOGFILE=/var/opt/novell/log/proxymgmt/pxymgmt.log
OESCREDSTORE_BIN=/usr/sbin/oescredstore

user_id=`id -u`
if test $user_id -ne 0
then 
	echo "LUM: Error: lum_update_proxy_cred.sh : Only root user can run this script" >> $LUM_PROXY_LOGFILE
	exit 1
fi

if [ $# -eq 0 ]
then
	    echo "Enter username of common proxy  user (eg: cn=admin,o=company):"
	    read username
	    username=`echo $username`
	    echo "Enter user password:"
	    mode=`stty -g`
	    stty -echo
	    read passwd
            stty $mode
elif [ $# -ge 1 ]
then
	
	#casafor_common_proxy  <proxyUsername>      
	#casafor_common_proxy 'cn=user.o=novell'   
	#with the password set in environment variable: OES_DATA

	username=$1
	username=`echo $username`
	passwd=$OES_LUM_DATA
	shift
	shift
	shift
fi
	$OESCREDSTORE_BIN -s -n novell-lum -u $username -p $passwd
	oescredret=$?

        if [ $oescredret = "0" ]; then
		echo "LUM: OES Credentials Set ">> $LUM_PROXY_LOGFILE
        else
		echo "LUM: Error, OES Credentials Not Set, ret = $oescredret ">> $LUM_PROXY_LOGFILE
        fi



